/*
 * $RCSfile: fdditest.c,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: fdditest.c,v $
 * Revision 1.1  1994/01/24  16:41:47  menze
 * Initial revision
 *
 */

/*
 * Ping-pong test of the FDDI protocol ; cloned from ethertest
 */

#include "xkernel.h"
#include "fddi.h"

#define HOST_TYPE FDDIhost
#define INIT_FUNC fdditest_init
#define TRACE_VAR fdditestp
#define PROT_STRING "fddi"

/* 
 * If a host is booted without client/server parameters and matches
 * one of these addresses, it will come up in the appropriate role.
 */
static HOST_TYPE ServerAddr = { 0x0000, 0x0000, 0x0000 };
static HOST_TYPE ClientAddr = { 0x0000, 0x0000, 0x0000 };

#define TRIPS 100
#define TIMES 1
#define DELAY 3

/*
 * Define to do timing calculations
 */
#define TIME	 


static int lens[] = { 
  1, 500, 1000, 1500, 2000, 3000, 4096, 4352
};


#define SAVE_SERVER_SESSN
#define STR2HOST	str2fddiHost


#include "common_test.c"

static void
testInit()
{
}










