/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: gets.c,v $
 *
 * HISTORY
 * $Log: gets.c,v $
 * Revision 1.2  1994/06/11  00:03:10  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/14  23:49:02  davidm
 * Initial revision
 *
 */
#define EOF		-1
#define CTRL(ch)	((ch) - '@')
#define DEL		127


char*
gets(char *string)
{
    char *str = string;
    int ch;

    while (1) {
	ch = getchar();
	switch (ch) {
	  case EOF:
	    return 0;
	  case CTRL('U'):
	    while (str > string) {
		--str;
		putchar(CTRL('H'));
		putchar(' ');
		putchar(CTRL('H'));
	    } /* while */
	    break;
	  case CTRL('H'):
	  case DEL:
	    if (str > string) {
		--str;
		putchar(CTRL('H'));
		putchar(' ');
		putchar(CTRL('H'));
	    } /* if */
	    break;
	  case '\r': case '\n':
	    putchar('\n');
	    *str = '\0';
	    return string;
	  default:
	    putchar(ch);
	    *str++ = ch;
	} /* switch */
    } /* while */
} /* gets */

			/*** end of gets.c ***/
