/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: vprintf.c,v $
 *
 * HISTORY
 * $Log: vprintf.c,v $
 * Revision 1.4  1994/06/11  00:03:13  menze
 * Added copyright notice
 *
 * Revision 1.3  1994/05/14  23:50:11  davidm
 * Fixed include.
 *
 * Revision 1.2  1994/01/22  00:01:48  davidm
 * (put): Added as vprintf() can no longer directly pass "putchar" to
 * _doprint.
 *
 * Revision 1.1  1994/01/21  23:57:00  davidm
 * Initial revision
 *
 */
#include <stdarg.h>


static void
put(int ch, void *arg)
{
    putchar(ch);
} /* put */


int
vprintf(const char *format, va_list ap)
{
    return _doprint(format, &ap, put, 0);
} /* vprintf */

			/*** end of vprintf.c ***/
