/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout.h,v $
 *
 * HISTORY
 * $Log: scout.h,v $
 * Revision 1.2  1994/06/11  00:02:58  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/04/22  02:11:03  davidm
 * Initial revision
 *
 */
/*
 * General definitions.
 */
#ifndef scout_h
#define scout_h

#include <sys/types.h>

/*
 * Macro to assist in declaring the format attribute of printf/sscanf
 * like functions so that GCC can do type checking on the args:
 */
#if __GNUC__ > 1
# define FMT(a,s,f)	__attribute__ ((format (a, s, f)))
# define NORETURN	__attribute__ ((noreturn))
#else
# define FMT(a,s,f)
# define NORETURN
#endif /* __GNUC__ > 1 */


#ifndef TRUE
# define FALSE	0
# define TRUE	1
#endif

extern volatile int scout_expect_memory_access_fault;

#endif /* scout_h */
